import React from 'react';
import './Login.scss';
interface IProps {
    callbackHandle: (args: {
        type: 'login' | 'close';
        data: any;
    }) => void;
    coverStyle?: React.CSSProperties;
}
interface IState {
    switchPage: boolean;
    sendVerifyCodeStr: string;
    mobileNumber: string;
    verifyCode: string;
    password: string;
    loginType: 'pwd' | 'verify';
    step: number;
    userSex: 'male' | 'female' | '';
    userNick: string;
    userHeader: string;
    userBirth: {
        year: number | string;
        month: number | string;
        day: number | string;
    };
    birthOptions: {
        year: number[];
        month: number[];
        day: number[];
    };
    showBirthSelect: {
        year: boolean;
        month: boolean;
        day: boolean;
    };
    showUploadImg: boolean;
    agreement: boolean;
    passwordVisible: boolean;
    showLoginWindow: boolean;
    onekeyLoading: boolean;
    showCountrySelector: boolean;
    preTel: string;
}
declare class Login extends React.Component<IProps, IState> {
    constructor(props: IProps);
    componentDidMount(): void;
    switchPage(): void;
    mobileLoginHandle(): void;
    wxLoginHandle(): void;
    closeHandle(): void;
    sendVerifyCodeHandle(): Promise<void>;
    nickChangeHandle(e: React.ChangeEvent<HTMLInputElement>): void;
    mobileChangeHandle(e: React.ChangeEvent<HTMLInputElement>): void;
    passwordChangeHandle(e: React.ChangeEvent<HTMLInputElement>): void;
    verifyCodeChangeHandle(e: React.ChangeEvent<HTMLInputElement>): void;
    keyUpHandle(e: React.KeyboardEvent<HTMLInputElement>): void;
    inputFocusHandle(e: React.SyntheticEvent<HTMLInputElement, FocusEvent>): void;
    switchLoginTypeHandle(): void;
    updateUserInfo(): void;
    modifyHeaderImg(state?: boolean): void;
    modifyHeaderImgHandle(type: string): void;
    birthSelectDisplayHandle(e: React.MouseEvent<HTMLDivElement>, type: string, state: boolean): void;
    birthSelectChangeHandle(type: string, value: number): void;
    clearInput(): void;
    nickNameNext(): void;
    inputPasteHandler(e: React.ClipboardEvent<HTMLInputElement>): void;
    agreementHandle(): void;
    openLink: (type: 'privacy' | 'agreement') => void;
    callBackHandle: (param: {
        type: 'login' | 'close';
        data: string | null;
    }) => void;
    render(): JSX.Element;
}
export default Login;
